Skip to content

Delete Invoice

DELETE
/api/Invoices/{id}
curl --request DELETE \
--url https://example.com/api/Invoices/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Permanently removes a Draft invoice. Sent or Paid invoices should be Voided instead — this is rejected.

id
required
string format: uuid

The invoice’s unique identifier.

Invoice deleted.

Invoice is not in a deletable state.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

No invoice with the given ID exists.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}